#
# spec file for package perl-ExtUtils-LibBuilder
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-ExtUtils-LibBuilder
Version:        0.08
Release:        lp152.3.2
%define cpan_name ExtUtils-LibBuilder
Summary:        Tool to Build C Libraries
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/ExtUtils-LibBuilder/
Source0:        http://www.cpan.org/authors/id/A/AM/AMBS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::CBuilder) >= 0.23
BuildRequires:  perl(Module::Build) >= 0.420000
%{perl_requires}

%description
A tool to build C libraries.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Wed Oct 21 2015 coolo@suse.com
- updated to 0.08
  see /usr/share/doc/packages/perl-ExtUtils-LibBuilder/Changes
  0.08    Mon Oct 19 17:46:02 WEST 2015
  - Minor spelling fix (thanks to Gregor Herrmann,
    from Debian community).
* Fri Oct  2 2015 coolo@suse.com
- updated to 0.07
  see /usr/share/doc/packages/perl-ExtUtils-LibBuilder/Changes
  0.07    Mon Sep 28 14:53:40 WEST 2015
  - Added minimum required Perl Version (kwalitee++).
* Fri Sep 19 2014 coolo@suse.com
- updated to 0.06
  - Fixed metadata for metacpan (thanks to Gabor Szabo).
  - Added metadata for metacpan.
* Tue May 22 2012 cfarrell@suse.com
- license update: GPL-1.0+ or Artistic-1.0
  SPDX format (http://www.spdx.org/licenses)
* Thu Apr 14 2011 coolo@opensuse.org
- initial package 0.04
  * created by cpanspec 1.78.04
